<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "narration.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `narr1` = '$searchTerm'";
    } 
    
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `narr1` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `narr1`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `narr1`";
    } 
    
    $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

    $query = "SELECT * FROM `narration` WHERE `code` != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
    $result = mysqli_query($conn, $query)or die(mysqli_error($conn));

    $rows = array();
    $ctr = 0;
    while ($r = mysqli_fetch_assoc($result)) {
        $rows[] = [ 'success' => true,
            'value' => $ctr,
            'keyfld' => $keyfld,
            'narr1' => $r[narr1],
            'action' => "$file?mode=edit&code=$r[code]",
        ];
        $ctr++;
    }
    header("Content-type: application\json");
    echo json_encode($rows);
    